#ifndef CONTEXTCONTACTSDOCUMENT_H
#define CONTEXTCONTACTSDOCUMENT_H

#include <akndoc.h>
#include "app_context.h"
#include "app_context_impl.h"
#include "cl_settings.h"
#include "cl_settings_impl.h"
#include "contextdoc.h"

class  CEikAppUi;

class CContextContactsDocument : public CAknDocument, public MContextDocument
    {
    public: 
        static CContextContactsDocument* NewL(CEikApplication& aApp);
        virtual ~CContextContactsDocument();

  private:

        CContextContactsDocument(CEikApplication& aApp);
        void ConstructL();

    private:
        CEikAppUi* CreateAppUiL();
	TClSettings iDefaultSettings;
    };

#endif

// End of File

